You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@celix.apache.org by rl...@apache.org on 2019/01/02 19:59:16 UTC

[celix-site] 06/12: CELIX-449: Changed order of pushing master/asf-site branches

This is an automated email from the ASF dual-hosted git repository.

rlenferink pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/celix-site.git

commit 710a1953ed513b1b7d2e6cbd1f979c48f9c75d28
Author: Roy Lenferink <rl...@apache.org>
AuthorDate: Sat Dec 29 19:28:21 2018 +0100

    CELIX-449: Changed order of pushing master/asf-site branches
---
 publish.sh | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/publish.sh b/publish.sh
index 07f7e39..29b8bb1 100644
--- a/publish.sh
+++ b/publish.sh
@@ -59,7 +59,15 @@ git commit -m "${message}" > /dev/null 2>&1
 # Delete the temporary folder
 rm -rf ${tmp_dir}
 
-# Push latest SITE to server
+# Push the SOURCE to the server
+git push -u origin ${SOURCE} > /dev/null 2>&1
+if [ $? = 0 ]; then
+ echo "Push ${SOURCE} successful"
+else
+ echo "Push ${SOURCE} failed"
+fi
+
+# Push the SITE to the server
 git push -u origin ${SITE} > /dev/null 2>&1
 if [ $? = 0 ]; then
   echo "Push ${SITE} successful"
@@ -69,11 +77,3 @@ fi
 
 # Switch back to SOURCE branch
 git checkout ${SOURCE} > /dev/null 2>&1
-
-# Push the SOURCE to the server
-git push -u origin ${SOURCE} > /dev/null 2>&1
-if [ $? = 0 ]; then
- echo "Push ${SOURCE} successful"
-else
- echo "Push ${SOURCE} failed"
-fi